10 Replies Latest reply: Feb 4, 2013 9:39 AM by janssen256
janssen256 Level 1 Level 1 (0 points)

i need help.i try to install new apps but it sayys ios 4.3 is required.in itunes it says ipod up to date.someone please help!


iPod touch, iOS 4.2